import { Bitstream } from "./bitstream";
declare type HRDParams = {
    cpb_cnt: number;
    bit_rate_scale: number;
    cpb_size_scale: number;
    bit_rate_value: number[];
    cpb_size_value: number[];
    cbr_flag: (0 | 1)[];
    initial_cpb_removal_delay_length: number;
    cpb_removal_delay_length: number;
    dpb_output_delay_length: number;
    time_offset_length: number;
};
export declare type VUIParams = {
    aspect_ratio_info_present_flag: 0 | 1;
    aspect_ratio_idc: number;
    sar_width: number;
    sar_height: number;
    overscan_info_present_flag: 0 | 1;
    overscan_appropriate_flag: 0 | 1;
    video_signal_type_present_flag: 0 | 1;
    video_format: number;
    video_full_range_flag: 0 | 1;
    colour_description_present_flag: 0 | 1;
    colour_primaries: number;
    transfer_characteristics: number;
    matrix_coefficients: number;
    chroma_loc_info_present_flag: 0 | 1;
    chroma_sample_loc_type_top_field: number;
    chroma_sample_loc_type_bottom_field: number;
    timing_info_present_flag: 0 | 1;
    num_units_in_tick: number;
    time_scale: number;
    fixed_frame_rate_flag: 0 | 1;
    nal_hrd_parameters_present_flag: 0 | 1;
    vcl_hrd_parameters_present_flag: 0 | 1;
    hrd_params: HRDParams;
    low_delay_hrd_flag: 0 | 1;
    pic_struct_present_flag: 0 | 1;
    bitstream_restriction_flag: 0 | 1;
    motion_vectors_over_pic_boundaries_flag: number;
    max_bytes_per_pic_denom: number;
    max_bits_per_mb_denom: number;
    log2_max_mv_length_horizontal: number;
    log2_max_mv_length_vertical: number;
    num_reorder_frames: number;
    max_dec_frame_buffering: number;
};
export declare function getVUIParams(flag: 0 | 1, stream: Bitstream): VUIParams;
export {};
